Page MenuHomeFreeBSD

sysutils/ipmitool - unbreak for openssl 1.1.1
ClosedPublic

Authored by sbruno on Oct 12 2018, 3:50 AM.

Details

Reviewers
zi
emaste
jhb
0mp
Summary

This new patch file is an amalgum of several updates upstream on github.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 20165
Build 19655: arc lint + arc unit

Event Timeline

sbruno created this revision.Oct 12 2018, 3:50 AM

Tested on FreeBSD 12 natively and compiled in poudriere.

I'm unsure if we want a port Makefile directive to "patch only if freebsd is running openssl 1.1.0" or if we want to wrap this diff file in a bunch of code to handle the difference in ABI (e.g. #if OPENSSL_VERSION > foo).

I suspect that we want the former, port Makefile directive, if only to alleviate the maintenance burden.

sbruno updated this revision to Diff 49066.Oct 12 2018, 4:22 PM

Apply openssl 1.1.1 update patch only if running on a FreeBSD version where
openssl 1.1.1 exists.

0mp accepted this revision.Oct 12 2018, 4:38 PM
0mp added a subscriber: 0mp.

The Makefile part looks good to me.

I didn't review the OpenSSL fix.

This revision is now accepted and ready to land.Oct 12 2018, 4:38 PM
sbruno closed this revision.Dec 26 2018, 5:52 PM

r481915 | sbruno | 2018-10-12 11:51:37 -0600 (Fri, 12 Oct 2018) | 11 lines

sysutils/ipmitool: unbreak with openssl 1.1.1 import

  • Only apply openssl patch if we are on a version of FreeBSD with openssl 1.1.1
  • Don't bump portrevision as we don't change anything except on broken systems

It should be noted that this is a functional way to fix this port and is the method
used upstream. There are most likely better ways to do this.

Reviewed by: 0mp (Makefile changes)
Obtained from
Sponsored by: Limelight Networks